<script setup lang="ts">
// import { useTypeStore } from '@/Type/stores/type'
import { ref } from 'vue'
import { useBillStore } from '../stores/bill'

const billStore = useBillStore()
// const typeStore = useTypeStore()
const selectedItem = ref(null)
const loading = ref(false)
const formComplete = ref<boolean>()
const items = ['ค่าน้ำ', 'ค่าไฟ']
</script>

<template>
  <v-dialog v-model:model-value="billStore.isDialogOpen" style="width: 800px">
    <v-card class="pa-5" title="Bill Add">
      <v-card-text>
        <v-container>
          <v-row>
            <v-col cols="6">
              <v-select label="รายการ" :items="items" v-model="billStore.tempItem.name"></v-select>
            </v-col>
            <v-col cols="6">
              <v-text-field
                v-model="billStore.tempItem.worth"
                :readonly="loading"
                :rules="[(v) => !!v || 'Field is required']"
                class="mb-2"
                clearable
                label="Worth"
              ></v-text-field>
            </v-col>
          </v-row>
        </v-container>
      </v-card-text>
      <v-card-actions class="justify-end px-5 pb-5">
        <v-btn variant="outlined" @click="billStore.closeDialog()" text="close"> </v-btn>
        <v-btn color="primary" variant="flat" @click="billStore.save()" text="save"> </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
